Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.world.basic
Class BasicState

    java.lang.Object
      org.encog.ml.world.basic.BasicState

All Implemented Interfaces:
  State

Direct Known Subclasses:
  GridState

    public class BasicState

extends Object
implements State

Constructor Summary
`BasicState()`

Method Summary
`double[]` | `getPolicyValue()`
`Object` | `getProperty(String key)`
`double` | `getReward()`
`int` | `getVisited()`
`void` | `increaseVisited()`
`void` | `setAllPolicyValues(double d)`
`void` | `setPolicyValueSize(int s)`
`void` | `setProperty(String key, Object value)`
`void` | `setReward(double r)`
`void` | `setVisited(int i)`
`String` | `toString()`
`boolean` | `wasVisited()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicState

    public BasicState()

Method Detail

### setProperty

    public void setProperty(String key,
                            Object value)

  Specified by:
    `setProperty` in interface `State`

### getProperty

    public Object getProperty(String key)

  Specified by:
    `getProperty` in interface `State`

### getReward

    public double getReward()

  Specified by:
    `getReward` in interface `State`

### setReward

    public void setReward(double r)

  Specified by:
    `setReward` in interface `State`

### getPolicyValue

    public double[] getPolicyValue()

  Specified by:
    `getPolicyValue` in interface `State`

### setAllPolicyValues

    public void setAllPolicyValues(double d)

  Specified by:
    `setAllPolicyValues` in interface `State`

### setPolicyValueSize

    public void setPolicyValueSize(int s)

  Specified by:
    `setPolicyValueSize` in interface `State`

### wasVisited

    public boolean wasVisited()

  Specified by:
    `wasVisited` in interface `State`

### setVisited

    public void setVisited(int i)

  Specified by:
    `setVisited` in interface `State`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getVisited

    public int getVisited()

  Specified by:
    `getVisited` in interface `State`

### increaseVisited

    public void increaseVisited()

  Specified by:
    `increaseVisited` in interface `State`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.